<?php	

	session_start();

	include('fonctions_explorateur.php');
	
	$directory_list = listdirs($_SESSION['repertoire']);
	// rajouter le repertoire source
	$directory_list[] =  '/' .$_SESSION['utilisateur']; 
	
	$basedir = $_SESSION['repertoire'];
	
	if (isset($_GET['action']))
	{
		$action = $_GET['action'];
		$display = $_GET['display'];
		
		$file = $_GET['file'];
		
		$repertoire = $_GET['repertoire'];
	
		$repertoire_courant = $_GET['repertoire'];
		//echo $file ."aaaaaa" ."<br>";
		//echo "++++++" ."<br>";
		
		
		$PHP_SELF = $_SERVER['PHP_SELF'];
		//echo $PHP_SELF;
		
		//$rep = dirname($_SERVER["PHP_SELF"]);
		//echo $rep;
		
		$savesave = $_GET['save'];
		$save = $_GET['save'];
		
		if($_GET['action'] == "chdr")
		{
			$repertoire_courant = $_GET['repertoire'];
			echo "Rép courant: " .$repertoire_courant;
		}
	}
	
	if( isset($_POST['submit']) && $_POST['submit'] == "submit" )
	{
		$tmp_file = $_FILES['fileToUpload']['tmp_name'];
		echo $tmp_file;
		
		chdir("zorro\\patoche");
		
		$name_file = $_FILES['fileToUpload']['name'];
		
		if(move_uploaded_file($tmp_file, $name_file)) 
		{
			echo 'Upload effectuÃ© avec succÃ¨s !';
		}
		else 
		{
			echo 'Echec de l\'upload !';
		}
		//echo "wdir" .$wdir;
		$path =  $wdir .$file;
		$path = substr($path,1);
		echo "*****: " .$_GET['repertoire'];
	}
	
	
	//echo $basedir;
	//echo "<br>";
	//echo getcwd();
	//echo "<br>";
	
	//$s = getcwd();
	//$decompose = explode('/',$s);
	//$element = end($decompose);  
	//echo $element;
	
	
	//$PHP_SELF = $_SERVER['PHP_SELF'];
	

$updatecheck = "yes";

### 
$enable_css = "no";
$enable_logout = "no";

### autorisation
$allow_move = "yes";
$allow_download = "yes";
$allow_copy = "yes";
$allow_touch = "no";
$allow_rename = "yes";
$allow_edit = "yes";
$allow_chmod = "yes";
$allow_delete = "yes";
$allow_upload = "yes";
$allow_create_dir = "yes";
$allow_create_file = "yes";
$allow_display_env = "no";

$not_allowed = "Cette fonction n'est pas disponible. Consulter l'administrateur.";


$couleur = array('#F0F9FE','#FFFFFF');

############### Size for textarea
if($enable_css == "yes")
	{
	$textrows = "27";
	$textcols = "160";
	}
else
	{
	$textrows = "20";
	$textcols = "100";
	}

############### If $wdir (working directory) isn't specified, set it as a slash (/)
//if(!$wdir) $wdir="\\";

	if( $_SESSION['plateforme'] == "local")
	{
		if(!$wdir) $wdir="\\";
	}
	else
	{
		if(!$wdir) $wdir="/";
	}



//echo "***".$wdir."****";
//echo "<br>";

//<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
//<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
//<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

?>


<!--
<link rel="stylesheet" href="https://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
<script src="https://code.jquery.com/jquery.js"></script>
<script src="https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
<script type="text/javascript" src="jquery.form.js"></script>
-->

<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<script type="text/javascript" src="upload.js"></script>

<script type="text/javascript" src="fonctions_explorateur.js"></script>

<style>
ul, ol, li {
	margin: 0;
	padding: 0;
	list-style: none;
}
.gallery{ width:100%; float:left; margin-top:30px;}
.gallery ul{ margin:0; padding:0; list-style-type:none;}
.gallery ul li{ padding:7px; border:2px solid #ccc; float:left; margin:10px 7px; background:none; width:auto; height:auto;}
.gallery img{ width:250px;}
.none{ display:none;}
.upload_div{ margin-bottom:50px;}
.uploading{ margin-top:15px;}

</style>

<script type="text/javascript">
/*
$(document).ready(function(){
	$('#images').on('change',function(){
		$('#multiple_upload_form').ajaxForm({
			
			beforeSubmit:function(e){
				$('.uploading').show();
			},
			success:function(e){
				$('.uploading').hide();
				document.getElementById('msg_debug').innerHTML = "Fin";
			},
			error:function(e){
			}
		}).submit();
	});
});
 */
 
$(document).ready(function () 
{
    $('tr').click(function () 
	{
		//alert("clic");
       if(this.style.background == "" || this.style.background =="white") {
            $(this).css('background', 'red');
        }
        else {
            $(this).css('background', 'white');
        }
    });
	
	
	$("#id_copie").click(function() 
	{
			liste_index = listing_elements();
			
			if(liste_index == "")
			{
				$(function()
				{
							$( "#message_selection_vide").dialog({
								modal: true,
								title: "Infos",
								buttons: {
											Ok: function()
												{
													$( this ).dialog( "close" );
												}
										 }
								});
				});
			}
			
			else
			{
				
				$( "#fenetre_copier" ).dialog({
					modal: true,
					title: "Copier",
					buttons: {
								Valider: function()
								{
									$( this ).dialog( "close" );
									copie_elements(liste_index);
								},
								Non: function()
								{
									$( this ).dialog( "close" );
								}
							 }
					});
				
				/*alert(liste_index);
			
				var operation = "copie";
				var selection = "mode_selection";
				var chemin = document.getElementById("path").value;
							
				// on passe la liste des index
				$.ajax({
					url: "operation_fichier.php", 
					type: 'post',
					data: 'liste_index=' + liste_index + '&chemin=' + chemin + '&selection=' + selection + '&operation=' + operation,
					dataType: 'html', 
					success: function (response) 
					{
						alert(response);
						//document.getElementById('message').innerHTML = response;
						
						$(function()
						{
								$( "#message_fichier_copier").dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
													{
														$( this ).dialog( "close" );
														recharger();
													}
											 }
									});
						});
						
					},
					error : function(request) 
					{
						console.log(request.responseText);
					}
				}); */
			}
	
    });
	
	
function copie_elements(liste_index)
{
				var operation = "copie";
				var selection = "mode_selection";
				var chemin = document.getElementById("path").value;
							
				// on passe la liste des index
				$.ajax({
					url: "operation_fichier.php", 
					type: 'post',
					data: 'liste_index=' + liste_index + '&chemin=' + chemin + '&selection=' + selection + '&operation=' + operation,
					dataType: 'html', 
					success: function (response) 
					{
						alert(response);
						//document.getElementById('message').innerHTML = response;
						
						$(function()
						{
								$( "#message_fichier_copier").dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
													{
														$( this ).dialog( "close" );
														recharger();
													}
											 }
									});
						});
						
					},
					error : function(request) 
					{
						console.log(request.responseText);
					}
				}); 
	
}

	
	$("#id_deplace").click(function() 
	{
			liste_index = listing_elements();
			
			if(liste_index == "")
			{
				$(function()
				{
							$( "#message_selection_vide").dialog({
								modal: true,
								title: "Infos",
								buttons: {
											Ok: function()
												{
													$( this ).dialog( "close" );
												}
										 }
								});
				});
			}
	
			else
			{
				
				$( "#fenetre_deplace" ).dialog({
					modal: true,
					title: "Déplacer",
					 width: 800,
					height: 600,
					modal: true,
					buttons: {
								Valider: function()
								{
									$( this ).dialog( "close" );
									deplace_elements(liste_index);
									//traitement_fichier(chemin,fichier,operation);
								},
								Non: function()
								{
									$( this ).dialog( "close" );
								}
							 }
				});
				//operation_fichier('chemin','fichier','deplace')
				//operation_fichier('<?php echo $path; ?>', '<?php echo $file; ?>','deplace');"
			
			}
			
	});
	
	$("#id_renome").click(function() 
	{
			alert("Blase");
	});
	
	$("#id_efface").click(function() 
	{

			liste_index = listing_elements();
			
			if(liste_index == "")
			{
				$(function()
				{
							$( "#message_selection_vide").dialog({
								modal: true,
								title: "Infos",
								buttons: {
											Ok: function()
												{
													$( this ).dialog( "close" );
												}
										 }
								});
				});
			}
			else
			{
			
					//var newDiv = $(document.createElement('div')); 
					//$(newDiv).html('hello there');
					//$(newDiv).dialog();
					
					/*$('<div></div>').dialog({
							modal: true,
							title: "Confirmation",
							open: function () {
												var markup = 'Hello World';
												$(this).html(markup);
											 },
							buttons: {
										Ok: function () {
														$(this).dialog("close");
														}
									}
					}); //end confirm dialog*/
					
					/*$(function()
					{*/
						//$( "#message_confirmation_suppression" ).dialog({
						$( '<div>id = "bilou"</div>' ).dialog({
						modal: true,
						title: "Infos",
						open: function () {
												$(this).html("Voulez-vous effacer la selection ?");
										  },
						buttons: {
									Oui: function()
									{
										$( this ).dialog( "close" );
										efface_elements(liste_index)
									},
									Non: function()
									{
										$( this ).dialog( "close" );
									}
								 }
						});
					/*});*/		
					
					
					
						
					
			}

	});
	
});


				
function deplace_elements(liste_index)
{
			sel = document.getElementById('select_repertoire');
			selection_repertoire = sel.options[sel.selectedIndex].value;
			
			var operation = "deplace";
			var selection = "mode_selection";
			var chemin = document.getElementById("path").value;
							
			// on passe la liste des index
			$.ajax({
					url: "operation_fichier.php", 
					type: 'post',
					data: 'liste_index=' + liste_index + '&chemin=' + chemin + '&selection_repertoire=' + selection_repertoire + '&selection=' + selection + '&operation=' + operation,
					dataType: 'html', 
					success: function (response) 
					{
						//alert(response);
						//document.getElementById('message').innerHTML = response;
						
						$(function()
						{
								$( "#message_fichier_deplacer").dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
													{
														$( this ).dialog( "close" );
														recharger();
													}
											 }
									});
						});
						
					},
					error : function(request) 
					{
						console.log(request.responseText);
					}
			}); 
}
 
 
function efface_elements(liste_index)
{
			var operation = "efface";
			var selection = "mode_selection";
			var chemin = document.getElementById("path").value;
							
			// on passe la liste des index
			$.ajax({
					url: "operation_fichier.php", 
					type: 'post',
					data: 'liste_index=' + liste_index + '&chemin=' + chemin  + '&selection=' + selection + '&operation=' + operation,
					dataType: 'html', 
					success: function (response) 
					{
						alert(response);
						
						$(function()
						{
								$( "#message_suppression_fichier").dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
													{
														$( this ).dialog( "close" );
														recharger();
													}
											 }
									});
						});
						
					},
					error : function(request) 
					{
						console.log(request.responseText);
					}
			}); 
			
}
	
function listing_elements()
{ 
			var liste_index = "";
	 
			var elements = document.getElementById("table_explorateur").getElementsByTagName("tr");
			
			for(var i=0;i < elements.length;i++)
			{
				var chaine = elements[i].style.background;
				var retour = chaine.indexOf("red");
				if(retour >= 0)
				{   // tenir compte du décalage des 2 premiéres lignes
					var j = i - 2;
					liste_index = liste_index + ':' + j;
				}
			}
			
			return(liste_index);
}	
 
function envoi()
{
	alert("envoi");
	document.location.href="test11.php"
}

function makeFileList()
{
			var input = document.getElementById("fileToUpload");
			var ul = document.getElementById("fileList");
			while (ul.hasChildNodes()) {
				ul.removeChild(ul.firstChild);
			}
			for (var i = 0; i < input.files.length; i++) {
				var li = document.createElement("li");
				li.innerHTML = input.files[i].name;
				ul.appendChild(li);
			}
			if(!ul.hasChildNodes()) {
				var li = document.createElement("li");
				li.innerHTML = 'No Files Selected';
				ul.appendChild(li);
			}
}


function recharger()
{	
	window.location.reload();
}

function retour()
{
			history.back();
}

</script>


<style type="text/css">

.css_message {	width: 500px;
				border-style: solid;
				border-width: 1px;
				border-color: #1c75c8;
				padding: 3px; 
				background-color: #c5ddf6; 
			}

			 .ui-widget-overlay
        {
            background: gray;
            
        }
			
/* Couleur de fond de chaque cellule */
/*td{
    background-color:yellowgreen;
}*/
 
/*
Lors du survol d'un tr, tout les td contenu dans ce tr changeront de couleur de fond
Fais une recherche "css :hover", tu auras toutes les infos nécessaires
*/
/*tr:hover td{
    background-color:red;
}*/
 
  
}
</style>

<?php
//..overlay.background
//http://stackoverflow.com/questions/7554681/jquery-ui-modal-window-causes-gray-line/
//horizontal white stripe across the darken background. I think this file is broken:
//jQuery UI Modal Dialog Stripe Issue
 //background: #000;
 //background-color: none;
 /*
 {
            background: #000;
            opacity: .7;
            -moz-opacity: 0.7;
            filter: alpha(opacity=70);
        }*/
############################################################################### 

function image_size()
	{
	$size = GetImageSize("$image");
	}

############################################################################### 
	
function html_header(){
	global $basedir;
	global $wdir;
	global $lastaction;
	global $version;
	global $HTTP_REFERER;
	global $action;
	global $webname;
	global $display;
	global $file;
	global $browse;
	global $raw;
	global $image;
	global $fileurl;
	global $enable_css;
	global $allow_display_env;
	global $enable_logout;
	
	echo " <BR> ";
	echo " <BR> ";
	
	

	############ We want a BACK link when viewing pictures and raw text.
	if($action == "show")
		{
		echo " <td width=\"50%\" nobreak><b><font size=\"3\" color=\"#4C4C99\" face=\"arial, helvetica\">$lastaction</font></b></td>";
		echo "<div id=\"back_link\">";
		echo " <td width=\"50%\" nobreak align=\"right\"><b><font size=\"3\" color=\"#4C4C99\" face=\"arial, helvetica\"><a href=\"$HTTP_REFERER\" title=\"Retour\"><img SRC=\"images/undo.png\" title=\"Retour\">Back</a></font></b></td>";
		
		//<IMG SRC=\"images/word.png\" title=\"Fichier Word\" alt=\"Fichier Word\" border=\"0\" width=\"13\" height=\"16\">
		echo "</div>";
		}

	############ We dont want a BACK link
	else
		{
		echo " <td colspan=\"2\"><b><font size=\"3\" color=\"#4C4C99\" face=\"arial, helvetica\">$lastaction</font></b></td>";
		}
	
	echo "<BR>";
	echo "<BR>";
	
	echo "<tr>";
	echo "<td colspan=\"2\"><hr><td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td colspan=\"2\">";
}

############################################################################### 
function display_size($file)
        { 
		
			 //preg_match("/([^A-Za-z0-9])/",$file,$result);
			//On cherche tt les caractères autre que [A-Za-z] ou [0-9]
			//if(empty($result))
			
			if(is_file($file))
			{
					$file_size = filesize($file);

					if($file_size >= 1073741824)
					{
					### en giga 
					$file_size = round($file_size / 1073741824 * 100) / 100 . " Go";
					}
					elseif($file_size >= 1048576)
					{ ### en mega
					$file_size = round($file_size / 1048576 * 100) / 100 . " Mo";
					}
					elseif($file_size >= 1024)
					{ ### en kilo
					$file_size = round($file_size / 1024 * 100) / 100 . " Ko";
					}
					else{   ### en octet (byte)
					$file_size = $file_size . " Octets";
					}
					return $file_size;
			}		
}
############################################################################### 

function list_files()
{
	global $basedir;
	global $wdir;	
	global $single;
	global $key;

	global $allow_move;
	global $allow_chmod;
	global $allow_create_file;
	global $allow_create_dir;	
	global $allow_upload;

	global $allow_touch;
	global $allow_delete;

	################## Load directory into array
	$handle = opendir(".");
	while($file = readdir($handle))
	{
		if(is_file($file))
		{
			$filelist[] = $file;
		}	
	}
	closedir($handle);

	if($filelist)
	{
		
		asort($filelist);
		
		$_SESSION['fichier'] = $filelist;
		
		while (list ($key, $file) = each ($filelist))
		{
			
			$ext = strrchr ( $file , "." );
			$ext = strtolower($ext);

			$gloup = $file;

			############### Image
			if((!strcasecmp ($ext, ".gif")) || (!strcasecmp ($ext, ".jpg")) || (!strcasecmp ($ext, ".png")) || (!strcasecmp ($ext, ".bmp")) || (!strcasecmp ($ext, ".jpeg")))
			{ 
			
				// suppression de \
				$tmp = substr($wdir,1);
/*				$n=substr($n,0,1); 
				if($tmp == "/")
				{	// suppression de \
					$tmp = substr($tmp,1);
					
				}
*/			
				
				$path = $tmp.$file;
				$path = $_SESSION['utilisateur'].$wdir.$file;
				
				$icon = '<a href="charge_image.php?image='.$path.'&chemin='.$wdir.'"><img src = "images/image.gif" title= "Visualiser l\'image"></a>';
				$browse = "1";
				$raw = "0";
				$image = "1";
				}

			############### Documents Office & autres
						
			elseif((!strcasecmp ($ext, ".doc")) || (!strcasecmp ($ext, ".docx")) )
			{ 
				if(strlen($wdir) == 1)
				{
					$path = $_SESSION['utilisateur'] ."/" .$file;
					//http://localhost/DEBUG_08_10_2015/Utilisateurs/20151001000A010000014715C.pdf
				}
				else
				{  
					$tmp = str_replace("\\", "/", $wdir);
					$path = $_SESSION['utilisateur'] .$tmp .$file;
				}

				$icon = "<a href=\"$path\"><IMG SRC=\"images/word.png\" title=\"Fichier Word\" alt=\"Fichier Word\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
				}
			
			elseif((!strcasecmp ($ext, ".xls")) || (!strcasecmp ($ext, ".xlsx")) )
			{	
				if(strlen($wdir) == 1)
				{
					$path = $_SESSION['utilisateur'] ."/" .$file;
					//http://localhost/DEBUG_08_10_2015/Utilisateurs/20151001000A010000014715C.pdf
				}
				else
				{  
					$tmp = str_replace("\\", "/", $wdir);
					$path = $_SESSION['utilisateur'] .$tmp .$file;
				}

				$icon = "<a href=\"$path\"><IMG SRC=\"images/excel.png\" title=\"aaaaFichier Excel\" alt=\"Fichier Excel\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
				}
			
			elseif((!strcasecmp ($ext, ".ppt")) || (!strcasecmp ($ext, ".pptx")) )
			{	
				if(strlen($wdir) == 1)
				{
					$path = $_SESSION['utilisateur'] ."/" .$file;
					//http://localhost/DEBUG_08_10_2015/Utilisateurs/20151001000A010000014715C.pdf
				}
				else
				{  
					$tmp = str_replace("\\", "/", $wdir);
					$path = $_SESSION['utilisateur'] .$tmp .$file;
				}
			
				$icon = "<a href=\"$path\"><IMG SRC=\"images/powerpoint.png\" title=\"Fichier Powerpoint\" alt=\"Fichier Powerpoint\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
			}
			
			elseif(!strcasecmp ($ext, ".pdf"))
			{	
				if(strlen($wdir) == 1)
				{
					$path = $_SESSION['utilisateur'] ."/" .$file;
					//http://localhost/DEBUG_08_10_2015/Utilisateurs/20151001000A010000014715C.pdf
				}
				else
				{  
					$tmp = str_replace("\\", "/", $wdir);
					$path = $_SESSION['utilisateur'] .$tmp .$file;
				}
				
				$icon = "<a href=\"$path\"><IMG SRC=\"images/pdf.png\" title=\"Fichier Acrobat\" alt=\"Fichier Acrobat\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
			}
	
			############### Fichier texte
			elseif(!strcasecmp ($ext, ".txt"))
				{
				$icon = "<IMG SRC=\"images/text.gif\" title=\"Fichier Texte\" alt=\"Fichier Texte\" border=\"0\" width=\"13\" height=\"16\">";
				$browse = "1";
				$raw = "1";
				$image = "0";
				}
		
			############### Audiofile
			elseif((!strcasecmp ($ext, ".wav")) || (!strcasecmp ($ext, ".mp3"))  || (!strcasecmp ($ext, ".midi")) || (!strcasecmp ($ext, ".mid")))
				{
				$icon = "<a href=\"$path\"><IMG SRC=\"images/music.png\" title=\"Fichier Audio\" alt=\"Fichier Audio\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
				}

			############### Videofile
			elseif((!strcasecmp ($ext, ".mp4")) || (!strcasecmp ($ext, ".avi")) || (!strcasecmp ($ext, ".mpg")) || (!strcasecmp ($ext, ".wmv")) || (!strcasecmp ($ext, ".flv")) || (!strcasecmp ($ext, ".mov")))
				{
				$icon = "<a href=\"$path\"><IMG SRC=\"images/video.png\" title=\"Fichier Video\" alt=\"Fichier Video\" border=\"0\" width=\"13\" height=\"16\"></a>";
				$browse = "1";
				$raw = "0";
				$image = "0";
				}
	
			############### Fichier Zip 
			
			elseif((!strcasecmp ($ext, ".zip")) || (!strcasecmp ($ext, ".tar")) || (!strcasecmp ($ext, ".rar")) || (!strcasecmp ($ext, ".gz")) || (!strcasecmp ($ext, ".tgz")))
				{
				$icon = "<IMG SRC=\"images/compressed.png\" title=\"Fichier compressé'\" alt=\"Fichier compressé'\" border=\"0\" width=\"15\" height=\"15\">";
				$browse = "0";
				$raw = "0";
				$image = "0";
				}
				
			############### Script
			elseif((!strcasecmp ($ext, ".phps")) || (!strcasecmp ($ext, ".php")) || (!strcasecmp ($ext, ".php2")) || (!strcasecmp ($ext, ".php3")) || (!strcasecmp ($ext, ".php4")) || (!strcasecmp ($ext, ".phtml")) || (!strcasecmp ($ext, ".asp")) || (!strcasecmp ($ext, ".asa")) || (!strcasecmp ($ext, ".cgi")) || (!strcasecmp ($ext, ".shtml")) || (!strcasecmp ($ext, ".pl")))
				{
				$icon = "<IMG SRC=\"images/webscript.gif\" title=\"Script exécuté par le serveur\" alt=\"Script exécuté par le serveur\" border=\"0\" width=\"15\" height=\"15\">";
				$browse = "1";
				$raw = "1";
				$image = "0";
				}

			############### Apache Webserver security settings
			elseif(!strcasecmp ($ext, ".htaccess"))
				{
				$icon = "<IMG SRC=\"images/security.gif\" title=\"Fichier de sécurité du serveur Apache (configuration)\" border=\"0\" width=\"15\" height=\"16\">" ;
				$browse = "0";
				$raw = "1";
				$image = "0";
				}

			############### Web page
			elseif ((!strcasecmp ($ext, ".html")) || (!strcasecmp ($ext, ".htm")))
				{
				$icon = "<IMG SRC=\"images/webpage.gif\" title=\"Page web HTML\" alt=\"Page web HTML\" border=\"0\" width=\"15\" height=\"15\">";
				$browse = "1";
				$raw = "1";
				$image = "0";
				}
			
			############### Inconnu
			else
				{ 
				$icon = "<IMG SRC=\"images/text.gif\" alt=\"Extension non répertorié par l'application\" border=\"0\" width=\"15\" height=\"15\">";
				$browse = "1";
				$raw = "1";
				$image = "0";
				}
			
			############### List the file(s)
			$filename=$basedir.$wdir.$file;
			$fileurl=rawurlencode($wdir.$file);
			if(is_file($file))
			  { 
			    $nom = basename ($file); 
				//echo ">>>>> " .$nom;
			    $lastchanged = filectime($nom);
				$changeddate = date("d-m-Y H:i:s", $lastchanged);
			}
			echo "<TR>";
			echo "<TD align=\"center\" nobreak>";
			
			############### Make the fileicon clickable for quickviewing
			if($raw == "1")
				{
				echo "<A HREF=\"$PHP_SELF?action=show&wdir=$wdir&file=$fileurl&object=file&browse=$browse&raw=$raw\">";
				}
			
			if($image == "1")
				{
				echo "<A HREF=\"$PHP_SELF?qqqaction=show&wdir=$wdir&file=$fileurl&image=$image&object=file&browse=$browse&raw=$raw\">";
				}
			
			echo "$icon</TD>\n";
			echo "<TD nobreak><font size =\"-1\" face=\"arial, helvetica\">" . htmlspecialchars($file) . "</font></TD>\n";
			echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . display_size($file) . "</font></TD>";
			echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . $changeddate . "</font></TD><TD align=\"right\">";
		
			############### CHMOD file?
			/*if($allow_chmod == "yes")
			{
				echo "<A HREF=\"$PHP_SELF?action=chmod&wdir=$wdir&file=$fileurl&browse=$browse&raw=$raw&image=$image&fileurl=$fileurl\" title=\"Change le niveau des permissions du répertoire : $file\">";
			}
			*/
			echo "<font size =\"-1\" face=\"arial, helvetica\">";
			if(is_file($file))
			{
				//printf("%o", (fileperms($file)) & 0777);
				echo "000";
			}
			echo "</font>";
	
			if($allow_chmod == "yes")
			{
				echo "</A>";
			}
	
			echo "</TD><TD nobreak>";
			
			if(strlen($wdir) == 1)
			{
				$path = $_SESSION['utilisateur'] ."/" .$file;
			}
			else
			{  
					$tmp = str_replace("\\", "/", $wdir);
					$path = $_SESSION['utilisateur'] .$tmp .$file;
			}
			$_SESSION['passage_chemin'] = $path;
?>
<!--
			<img src='images/rename.png'  onClick="confirmation_renomer_fichier('<?php echo $path; ?>');" title='Renomer le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 
-->
			<img src='images/rename.png'  onClick="operation_fichier('<?php echo $path; ?>', '<?php echo $file; ?>','renome');" title='Renomer le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 

<?php
			
				//echo " <A HREF=\"$PHP_SELF?action=move&wdir=$wdir&file=$fileurl&object=file&browse=$browse&raw=$raw&image=$image&fileurl=$fileurl\"><img src=\"images/move.gif\" title=\"Déplace, renomme ou copie le fichier : $file\" border=\"0\" width=\"15\" height=\"15\"></A> ";
	
				$tmp = str_replace("\\", "/", $wdir);
				$path = $_SESSION['utilisateur'] .$tmp .$file;
?>
				<img src='images/move.gif'  onClick="operation_fichier('<?php echo $path; ?>', '<?php echo $file; ?>','deplace');" title='Déplace le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 

				<img src='images/copy.png'  onClick="operation_fichier('<?php echo $path; ?>', 'aucun','copie');" title='Copie le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 
<?php					
		
			############### Touch file?
			if($allow_touch == "yes")
			{
				echo " <A HREF=\"$PHP_SELF?action=touch&wdir=$wdir&touchfile=$fileurl&browse=$browse&raw=$raw&image=$image&fileurl=$fileurl\"><img src=\"images/touch.gif\" alt=\"Touch $file\" border=\"0\" width=\"12\" height=\"16\"></A> ";
			
			}

			############### Delete file?

				$tmp = str_replace("\\", "/", $wdir);
				$path = $_SESSION['utilisateur'] .$tmp .$file;
			
?>
<!--
				<img src='images/delete.gif'  onClick="confirmation_effacer_fichier('<?php echo $path; ?>');" title='Effacer le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 
-->
				<img src='images/delete.gif'  onClick="operation_fichier('<?php echo $path; ?>', 'aucun','efface');" title='Effacer le fichier <?php echo $file; ?>' style='cursor:pointer;' /> 
<?php

	
			############### If the file can be browsed, give it the browse icon
			/*if($browse == "1")
				{
				//$wdir$file
				echo " <A HREF=\"gkgkjgjkkjgkj\"><img src=\"images/browse.gif\" alt=\"Affiche dans le navigateur : $file\" border=\"0\" width=\"16\" height=\"16\"></A> ";
				}
*/
			############### If the file can be edited, give it the edit icon
				if($raw =="1")
				{
					//passer le chemin complet !!!!
					//$fileurl = "acceuil.php";
					//echo " <A HREF=\"$PHP_SELF?wdir=$wdir&action=edit&display=1&file=$fileurl&browse=$browse&raw=$raw&image=$image&fileurl=$fileurl\"><img src=\"images/edit.gif\" title=\"Edition du fichier : $file\" border=\"0\" width=\"16\" height=\"16\"></A> ";
					
					//$path = getcwd();
					//$path = $path ."\\" .$file;
					//$icon = '<a href="charge_image.php?image='.$path.'"><img src = "images/image.gif" title= "Visualiser l\'image"></a>';
					$path = getcwd();
					$path = $path ."\\" .$file;
					
					echo " <A HREF=\"$PHP_SELF?action=edit&display=1&file=$path&raw=$raw\"><img src=\"images/edit.gif\" title=\"Edition du fichier : $file\" border=\"0\" width=\"16\" height=\"16\"></A> ";
//					echo " <A HREF=\"$PHP_SELF?action=edit&display=1&file=$fileurl&raw=$raw\"><img src=\"images/edit.gif\" title=\"Edition du fichier : $file\" border=\"0\" width=\"16\" height=\"16\"></A> ";
	
				}
		}
	}
}

### liste des objets (tableau contenant les repertoires ou les fichiers)
function displaydir()
{
	global $file;
	global $basedir;
	global $wdir;	
	global $allow_create_file;
	global $allow_create_dir;	
	global $allow_upload;
	global $allow_touch;
	global $allow_delete;
	global $allow_move;
	
	global $single;
	
	if(isset($single))
	{
		echo "<TABLE id='table_explorateur' BORDER=\"0\" cellspacing=\"1\" cellpadding=\"1\" align=\"center\">";
	}
	else
	{
		echo "<TABLE id='table_explorateur' BORDER=\"0\" cellspacing=\"1\" cellpadding=\"1\" width=\"100%\">";	
	}
	
	echo "<tr>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Type</font></th>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Nom</font></th>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Taille</font></th>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Modifications</font></th>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Droits</font></th>";
	echo "<th bgcolor=\"#4C4C99\"><font color=\"white\" face=\"arial, helvetica\">Action</font></th>";
	echo "</tr>";
	
	
/*	while(condition)
{
   echo'<tr style="background:'.$couleur[$i].';"><td></td></tr>';
   $i++; if($i>1)$i=0;
}*/
	################## 
	
	if(!isset($single))
	{
		chdir($basedir . $wdir);
		
		$handle=opendir(".");
		while ($file = readdir($handle))
		{
			if(is_dir($file)) 
			{
				$dirlist[] = $file;
			}	
		}
		closedir($handle);
			
		if($dirlist)
		{
			asort($dirlist);
			
			$_SESSION['repertoire'] = $dirlist;
			
			while (list ($key, $file) = each ($dirlist))
			{
				if (!($file == "."))
				{
					$filename=$basedir.$wdir.$file;
					$fileurl=rawurlencode($wdir.$file);
	
					$rep = getcwd();
	
					$lastchanged = filectime($rep);
					$changeddate = date("d-m-Y H:i:s", $lastchanged);
					echo "<TR>";
/*******/
					############### Racine
					if($file == "..")
						{
							$downdir = dirname("$wdir");
							echo $downdir;
							echo "<TD align=\"center\" nobreak><A HREF=\"$PHP_SELF?action=chdr&repertoire=$downdir\"><img src=\"images/parent.gif\" alt=\"Répertoire parent\" border=\"0\" width=\"20\" height=\"16\"></a></TD>\n";
							echo "<TD></TD>\n";
							echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . display_size($filename) . "</font></TD>";
							echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . $changeddate . "</font></TD><TD align=\"right\">";
							printf("%o", (fileperms($file)) & 0777);
							if(is_file($file))
							{
								printf("%o", (fileperms($file)) & 0777);
							}
							echo "</TD><TD nobreak>";
							echo "<A HREF=\"$PHP_SELF?action=chdr&file=$downdir\"><img src=\"images/parent.gif\" alt=\"Répertoire parent\" border=\"0\" width=\"20\" height=\"16\"></A> ";
						}

					############### repertoire
					else
					{
						$lastchanged = filectime($rep);
						echo "<TD align=\"center\" nobreak><A HREF=\"$PHP_SELF?action=chdr&repertoire=$fileurl\"><img src=\"images/folder.gif\" alt=\"Changement de destination : répertoire vers $file\" border=\"0\" width=\"15\" height=\"13\"></a></TD>\n";
						echo "<TD nobreak><font size =\"-1\" face=\"arial, helvetica\">" . htmlspecialchars($file) . "</font></TD>\n";
						echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . display_size($filename) . "</font></TD>";
						echo "<TD align=\"right\" nobreak><font size =\"-1\" face=\"arial, helvetica\">" . $changeddate . "</font></TD><TD align=\"right\">";
						echo "<A HREF=\"$PHP_SELF?action=chmod&file=$filename\" title=\"Change le niveau des permissions du fichier : $file\"><font size =\"-1\" face=\"arial, helvetica\">";
						printf("%o", (fileperms($file)) & 0777);
						if(is_file($file))
						{ echo ">> " .$file ;
						printf("%o", (fileperms($file)) & 0777);
						}
						echo "</A>";
						echo "</font></TD><TD nobreak>";
						
						
						$tmp = str_replace("\\", "/", $wdir);
						$path = $_SESSION['utilisateur'] .$tmp .$file;
?>						
						<img src='images/move.gif'  onClick="operation_fichier('<?php echo $path; ?>', '<?php echo $file; ?>','deplace');" title='Déplace le répertoire <?php echo $file; ?>' style='cursor:pointer;' /> 
<?php
						
						############### Touch directory?
						/*if($allow_touch == "yes")
							{
							echo " <A HREF=\"$PHP_SELF?action=touch&wdir=$wdir&touchfile=$fileurl\"><img src=\"images/touch.gif\" alt=\"Touch $file\" border=\"0\" width=\"12\" height=\"16\"></A> ";
							}*/

						############### Delete directory?
						$tmp = str_replace("\\", "/", $wdir);
						$path = $_SESSION['utilisateur'] .$tmp .$file;
			
?>						
						<img src='images/delete.gif'  onClick="operation_fichier('<?php echo $path; ?>', '<?php echo $file; ?>','efface');" title='Supprimer le répertoire <?php echo $file; ?>' style='cursor:pointer;' /> 
<?php
						//echo "<A HREF=\"$PHP_SELF?action=del&wdir=$wdir&file=$fileurl\"><img src=\"images/delete.gif\" alt=\"Supprime le fichier : $file\" border=\"0\" width=\"20\" height=\"16\"></A> ";
						
					}
				}	
			}
		}

		list_files();
		echo "</TD></TR>\n";
		echo "</TABLE>";

		############### Display forms for different actions
		echo "<table border=\"0\" width=\"100%\">";
		echo "<TR><TD colspan=\"2\"><hr></td>";

		############### Upload file
		
			
			if(strlen($wdir) == 1)
			{
				$_SESSION['upload_repertoire'] = $_SESSION['utilisateur'] ."/";
			}
			else
			{   
				//supprimer le 1 caractere ainsi que le dernier caractere
				$tmp = str_replace("/", "", $wdir);
				$tmp = str_replace("\\", "", $tmp);
				$_SESSION['upload_repertoire'] = $_SESSION['utilisateur']."/".$tmp."/" ;
			}
?>		
			<div id="upload_fichier">
			<tr><td>
			<font size ='-1' face='arial, helvetica'>Upload fichier</font></td><td>
			<input name="fichiers_choix[]" id="fichiers_choix" type="file" multiple />
			<input type="button" id="submit" value="Upload" onclick="upload_fichier();" />
			</form>
			</div>
			<div id="upload-result">
			</div>
			<div id='message_patience' style="display: none">
			<img src="loader.gif" name = "image" id="image"> Traitement en cours ...
			</div> 
			</td></tr>
<?php

		############### création d'un répertoire
		if($allow_create_dir == "yes")
		{
			
			// supprimer le premier element \
			$tmp = substr($wdir,1);
			// remplacer / par \
			$tmp = str_replace("/", "\\", $tmp);
			
			echo "<tr><td>";
			echo "<font size ='-1' face='arial, helvetica'>Créer un répertoire</font></td><td>";
			echo "<input type='hidden' id='base' name='base' value='$basedir'>";
			echo "<input type='hidden' id='chemin' name='chemin' value='$tmp'>";
			echo "<input type ='text' id ='new_dir' name='new_dir' size='40'>";
			echo "<button onclick='creer_repertoire()'>Valider</button>";
			echo "</td></tr>";
	
		}

		############### création d'un fichier
		if($allow_create_file == "yes")
		{
			echo "<tr><td>";
			echo "<font size ='-1' face='arial, helvetica'>Créer un fichier</font></td><td>";
			echo "<input type='hidden' id='base' name='base' value='$basedir'>";
			echo "<input type='hidden' id='chemin' name='chemin' value='$tmp'>";
			echo "<input type ='text' id ='new_file' name='new_file' size='40'>";
			echo "<button onclick='creer_fichier()'>Valider</button>";
			echo "</td></tr>";
			
		}
		
		echo "</TABLE>";
	}

	else
	{
		list_files();
	}

	echo ">>>>> " .$basedir ."  --------  " .$tmp;
	
}


#########################################################################################################
############### The user pressed CANCEL, set the $action to nothing
if($cancel) $action="";

############### User has entered .. as directory. Potential security breach. Deny access.
$regexp="\\.\\.";
if (ereg( $regexp, $file, $regs )| ereg( $regexp, $wdir,$regs ))
{
    $lastaction = "ERROR: Directories may not contain the character \"..\"";
    //html_header();
    exit;
}


#########################################################################################################
############### Begin actions code
switch ($action)
{

#########################################################################################################
############### 	aucune action - affichage initial	
	case "":
		$lastaction = "Résultat de l'action ->>> Contenu du repertoire";
		//html_header();
		displaydir();
		break;

#########################################################################################################
############### change de repertoire 
	case "chdr":
	
		if( $_SESSION['plateforme'] == "local")
		{
			$wdir = $repertoire ."\\";
			$test = strcmp($wdir, "\\\\"); 
			if($test == 0)
			{
				// supprimer le premier element \
				$wdir = substr($wdir,1);
			}
		}
		else
		{
			$wdir = $repertoire ."/";
		}
		
		$lastaction = "Changement de répertoire : $wdir";
		
		//html_header();
		displaydir();
		break;


#########################################################################################################
############### Edit file

	case "edit":
		
		if($display)
		{
			/*if($raw == "1")
			{
				$lastaction = "Edition du fichier : <A HREF=\"$PHP_SELF?action=show&wdir=$wdir&file=$file&browse=$browse&raw=$raw&image=$image&fileurl=$fileurl\" title=\"Voir le contenu du fichier (impossible de modifier)\">$file</a>";
			}
			elseif($image == "1")
			{
				$lastaction = "Edition du fichier : <A HREF=\"$PHP_SELF?action=show&wdir=$wdir&file=$fileurl&image=$image\" title=\"View the image\">$file</a>";
			}
			else
			{
				$lastaction = "Edition du fichier : $file";
			}*/
	
			$lastaction = "Edition du fichier : $file";
	
			//html_header();
		
			$fp=fopen($file,"r");
			$contents=fread($fp,filesize($file));
			
			echo "<input type='hidden' name='fichier' id='fichier' value='$file' />";
			echo "<textarea id = 'contenu' name='contenu' rows='$textrows' cols='$textcols'>";
			echo htmlspecialchars($contents);
			echo "</textarea><br>\n";
			echo "<center>";
			echo "<br>";
			echo "<button onclick='sauver_fichier()'>Sauver</button>";
			echo "<button onclick='retour()'>Retour</button>";
			echo "<center>";
			echo "<br>";
			echo "</center><br>\n";
		}
		
	break;	
	
		
#########################################################################################################
############### Display file

	case "show":
		
		$lastaction = ">>> Visualisation du fichier :" .$basedir.$file;
		//html_header();
			
		$path = $file;
		echo "------------------------ $path -----------------------------";
		$single = "yes";
		echo "TRACE";
		echo"<hr><br>";
		//show_source($basedir.$file);
		
		
		if( $_SESSION['plateforme'] == "local")
		{
			show_source($basedir.$file);
		}
		else
		{
			// supprimer le premier element \
			
				$tmp = substr($basedir.$file,1);
				show_source($tmp);
		}
		
		
	break;

#########################################################################################################
############### Créer répertoire

	case "mkdir":
		
		
		/*if(file_exists($basedir.$wdir.$mkdirfile))
		{
			$lastaction = "Résultat de l'action ->>> Le répertoire $wdir$mkdirfile existe déjà.";
			html_header();
		}

		else
		{
					//$new_rep =$basedir .substr($wdir,1) .$mkdirfile;
				
					echo "</br>";
					//echo $basedir ." ++ " .substr($wdir,1) ." ++ ".$mkdirfile;
					$lastaction = "Résultat de l'action ->>> Création du répertoire $wdir$mkdirfile";
					//html_header();
					//mkdir("../Users/lucien/aqw");
					//mkdir($new_rep);
					//mkdir($basedir.$wdir.$mkdirfile,0750);
		}
					displaydir();
					/*echo " ++ " .$new_rep ." ++ ";*/
		
		echo "Creation du repertoire....";	
		
		
		break;

#########################################################################################################
		
}

echo dirname("$wdir");

?>
				<div id='msg_debug'>  
				</div> 
				
				<div id='demo'>  
				</div> 
				
				<div id="message_creer_repertoire" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le repertoire a été crée.
				</div>
				
				<div id="message_repertoire_existe" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Erreur: Le repertoire existe dèja !.
				</div>
				
				<div id="message_creer_fichier" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le fichier a été crée.
				</div>
				
				<div id="message_fichier_existe" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Erreur: Le fichier existe dèja !.
				</div>
				
				<div id="message_confirmation_suppression" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Voulez-vous supprimer l'objet selectionné ?.
				</div>
				
				<div id="message_suppression_fichier" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le fichier vient d'être effacé.
				</div>

				<div id="message_sauvegarde" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le fichier a été sauvegardé.
				</p>
				</div>
				
				<div id="message_fichier_renomer" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le fichier a été renomé.
				</p>
				</div>
				
				<div id="message_fichier_copier" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Le fichier a été copié.
				</p>
				</div>
				
				<div id="message_fichier_deplacer" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Element(s) déplacé(s).
				</p>
				</div>
				
				<div id="message_fichier_deplacer_erreur" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Impossible car l'origine et la destination sont identique!.
				</p>
				</div>
				
				<div id="message_selection_vide" class ="css_message" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				Aucun élément selectionné!.
				</p>
				</div>
							
				
				<div id="message" class ="css_message" style="display: none">
				</div>
				
				<div id="fenetre_renomer"  style="display: none">
				<form>
				<label>Nouveau nom: </label>
				<input type="text" name="nouveau_nom" id="nouveau_nom" />
				<br/>
				<br/>
				</div>
<!------------------------------------------------------------------------------------------>				
				<div style="width:100px; overflow:hidden">
				<div id="fenetre_deplace"  style="display: none">
				<form>
				<select id ="select_repertoire" name="select_repertoire" size="10" >
				
<?php			
				$repertoire_execution =  dirname(__FILE__);
	
				for ($i = 0; $i < count($directory_list); $i++)
				{
					$str = str_replace($repertoire_execution, "", $directory_list[$i]);
					// supprimer le premier caractere
					$str = substr($str,1);
					echo '<option>' .$str. '</option>';
					//echo '<option value="'.$i.'">'.$str.'</option>';
					//echo '<option>toto</option>';
				}	
?>		
				</select>
				<br/>
				<br/>
				</div>
				</div>
<!------------------------------------------------------------------------------------------>				
				
				<div id="fenetre_copier"  style="display: none">
				<form>
				<label>Nom du fichier: </label>
				<input type="text" name="nom_copie" id="nom_copie" />
				<br/>
				<br/>
				</div>
   
</form>
</div>

<!-- <input id="submit1" type="button" value="Submit" onclick='envoi()'/> -->
 
 <input type="button" id="id_copie" value="Copie" /> 
 <input type="button" id="id_deplace" value="Deplace" /> 
 <input type="button" id="id_renome" value="Renome" /> 
 <input type="button" id="id_efface" value="Efface" /> 
 
 <!--<button>Toggle between slide up and slide down for a p element</button>-->

				
<?php
	
	$tmp = str_replace("\\", "/", $wdir);
	$path = $_SESSION['utilisateur'] .$tmp;
	// supprimer le dernier element
	$path = substr($path,0,-1); 
	echo "--> " .$path;
	echo "<input type='hidden' id='path' name='path' value='$path'>";
	
	//echo dirname(__FILE__);
	//echo "<pre>";
	//print_r($directory_list);
?>		 
				
